Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005100OCamlOCamlbuild (the tool)public2010-07-10 13:472012-03-24 15:01
Reporterdbuenzli 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0+beta1 or 3.12.0+rc1 
Target VersionFixed in Version3.12.1+dev 
Summary0005100: ocamlbuild always rebuilds .cmxs
Descriptionocamlbuild systematically rebuilds a cmxs file even if the cmx defining its content didn't change.
Steps To Reproduce> cd /tmp/
> touch bla.ml
> ocamlbuild bla.cmxs
Finished, 4 targets (0 cached) in 00:00:00.
> ocamlbuild -nothing-should-be-rebuilt bla.cmxs
cache miss: a product is not in build dir (bla.so)
Exception
  Rule.Exit_rule_error("Need to rebuild [ bla.cmxs; bla.so ] through the rule `ocaml: cmx & o -> cmxs & so (%=bla )'").
Compilation unsuccessful after building 3 targets (3 cached) in 00:00:00.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-07-10 13:47 dbuenzli New Issue
2010-07-22 11:40 ertai Status new => assigned
2010-07-22 11:40 ertai Assigned To => xclerc
2010-11-29 13:02 xclerc Status assigned => resolved
2010-11-29 13:02 xclerc Fixed in Version => 3.12.1+dev
2010-11-29 13:02 xclerc Resolution open => fixed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-03-24 15:01 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker